//
// edit with tab stops = 4 (:set ts=4)
// main setup
// compile with:
// gcc -O3 -S -fcall-used-esi -fcall-used-edi -fcall-used-ebx -fomit-fomit-frame-pointer -fverbose-asm -Winline
// check for stack pushes with "grep esp setup.s" and "grep push setup.s".  
// Should only push/pop ebp which can be deleted.
//

#include "console.h"
#include "raminit.c"
#include "chipinit.c"
int main () {
	static char  msg1[] = "Test output";
	static char  msg2[] = "Test output2";
	static char  msg3[] = "Test output3";
	uart_init();
	uart_tx_bytes(msg1,sizeof(msg1));
	setup_chip();
	uart_tx_bytes(msg2,sizeof(msg2));
	setup_ram();
	uart_tx_bytes(msg3,sizeof(msg3));
}
